## EPrintable

EPrintable

## Functions

EPrintable * | e_printable_new ()
void | e_printable_print_page ()
gboolean | e_printable_data_left ()
void | e_printable_reset ()
gdouble | e_printable_height ()
gboolean | e_printable_will_fit ()

## Signals

gboolean | data-left | Run Last
double | height | Run Last
void | print-page | Run Last
void | reset | Run Last
gboolean | will-fit | Run Last

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── EPrintable

## Description

## Functions

### e_printable_new ()

    EPrintable *
    e_printable_new (void);

### e_printable_print_page ()

    void
    e_printable_print_page (EPrintable *e_printable,
                            GtkPrintContext *context,
                            gdouble width,
                            gdouble height,
                            gboolean quantized);

### e_printable_data_left ()

    gboolean
    e_printable_data_left (EPrintable *printable);

### e_printable_reset ()

    void
    e_printable_reset (EPrintable *printable);

### e_printable_height ()

    gdouble
    e_printable_height (EPrintable *printable,
                        GtkPrintContext *context,
                        gdouble width,
                        gdouble max_height,
                        gboolean quantized);

### e_printable_will_fit ()

    gboolean
    e_printable_will_fit (EPrintable *printable,
                          GtkPrintContext *context,
                          gdouble width,
                          gdouble max_height,
                          gboolean quantized);

## Signal Details

### The `“data-left”` signal

    gboolean
    user_function (EPrintable *eprintable,
                   gpointer    user_data)

Flags: Run Last

### The `“height”` signal

    double
    user_function (EPrintable *eprintable,
                   GObject    *arg1,
                   double      arg2,
                   double      arg3,
                   gboolean    arg4,
                   gpointer    user_data)

Flags: Run Last

### The `“print-page”` signal

    void
    user_function (EPrintable *eprintable,
                   GObject    *arg1,
                   double      arg2,
                   double      arg3,
                   gboolean    arg4,
                   gpointer    user_data)

Flags: Run Last

### The `“reset”` signal

    void
    user_function (EPrintable *eprintable,
                   gpointer    user_data)

Flags: Run Last

### The `“will-fit”` signal

    gboolean
    user_function (EPrintable *eprintable,
                   GObject    *arg1,
                   double      arg2,
                   double      arg3,
                   gboolean    arg4,
                   gpointer    user_data)

Flags: Run Last